%define upstream_name    pQuery
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A perl port of jQuery framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(HTML::TreeBuilder) >= 4.200.0
BuildArch:  noarch

%description
pQuery is a pragmatic attempt to port the jQuery JavaScript framework to
Perl. It is pragmatic in the sense that it switches certain JavaScript
idioms for Perl ones, in order to make the use of it concise. A primary
goal of jQuery is to "Find things and do things, concisely". pQuery has the
same goal.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Fri Feb 24 2012 jquelin <jquelin> 0.80.0-2.mga2
+ Revision: 213740
- rebuild to version module provides
- update to 0.08

* Sat Jun 11 2011 spuhler <spuhler> 0.70.0-2.mga2
+ Revision: 103960
- increase rel for rebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 27373
- mageia rebuild
- imported package perl-pQuery


* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.70.0-1mdv2010.1
+ Revision: 542855
- import perl-pQuery


* Thu May 06 2010 cpan2dist 0.07-1mdv
- initial mdv release, generated with cpan2dist
